Bug 1445016 - Change in gem syntax from 4.0 to 4.2 NoMethodError undefined method `run' for LinuxAdmin:Module
Summary: Change in gem syntax from 4.0 to 4.2 NoMethodError undefined method `run' for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Joe Rafaniello
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1443739
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 18:01 UTC by Satoe Imaishi
Modified: 2020-05-14 16:00 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443739
Environment:
Last Closed: 2017-05-31 14:59:26 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 18:03:09 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/ba4515425ab42deb8319a8b04a6d9011ebba4af3

commit ba4515425ab42deb8319a8b04a6d9011ebba4af3
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Mon Apr 24 11:17:38 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 14:01:45 2017 -0400

    Merge pull request #128 from jrafanie/support_old_linux_admin_run_interface
    
    Update to linux_admin to support old LinuxAdmin.run interface
    (cherry picked from commit 474907ab8e67f7cb9e4af590c2994cd5305297ba)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445016

 manageiq-gems-pending.gemspec | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Nandini Chandra 2017-05-02 18:19:16 UTC
Verified in 5.8.0.12

Comment 5 errata-xmlrpc 2017-05-31 14:59:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.